Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back > Forums > Linux Forums > Linux - Software
User Name
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.


  Search this Thread
Old 03-28-2005, 10:56 PM   #1
LQ Newbie
Registered: Mar 2005
Posts: 4

Rep: Reputation: 0
Problem Installing Eclipse on Linux

I installed Eclipse ( on Red hat Linux(9).
Jdk: 1.4.2_05
But i was unable to open the IDE after installation.
I got the following error log.
An unexpected exception has been detected in native code outside the VM.
Unexpected Signal : 11 occurred at PC=0x4E73E079

Current Java thread:
at org.eclipse.swt.internal.motif.OS.XFontsOfFontSet(Native Method)
- locked <0x48ba1470> (a java.lang.Class)
at org.eclipse.jface.resource.FontRegistry.defaultFontRecord(
at org.eclipse.jface.resource.FontRegistry.getFontRecord(
at org.eclipse.jface.resource.FontRegistry.get(
at org.eclipse.jface.resource.JFaceResources.getDialogFont(
at org.eclipse.jface.dialogs.Dialog.initializeDialogUnits(
at org.eclipse.jface.dialogs.TitleAreaDialog.createContents(
at org.eclipse.jface.window.Window.create(
at org.eclipse.jface.dialogs.Dialog.create(
at org.eclipse.ui.internal.ide.ChooseWorkspaceDialog.prompt(
at org.eclipse.ui.internal.ide.IDEApplication.promptForWorkspace(
at org.eclipse.ui.internal.ide.IDEApplication.checkInstanceLocation(
at org.eclipse.core.internal.runtime.PlatformActivator$
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(
at sun.reflect.DelegatingMethodAccessorImpl.invoke(
at java.lang.reflect.Method.invoke(
at org.eclipse.core.launcher.Main.basicRun(
at org.eclipse.core.launcher.Main.main(

Dynamic libraries:
08048000-08056000 r-xp 00000000 03:02 2057077 /usr/java/j2sdk1.4.2_05/bin/java
08056000-08059000 rw-p 0000d000 03:02 2057077 /usr/java/j2sdk1.4.2_05/bin/java
40000000-40015000 r-xp 00000000 03:02 1354580 /lib/
40015000-40016000 rw-p 00014000 03:02 1354580 /lib/
40017000-4001f000 r-xp 00000000 03:02 310943 /usr/java/j2sdk1.4.2_05/jre/lib/i386/native_threads
4001f000-40020000 rw-p 00007000 03:02 310943 /usr/java/j2sdk1.4.2_05/jre/lib/i386/native_threads
40020000-40024000 rw-s 00000000 03:02 311007 /tmp/hsperfdata_root/15987
40024000-40025000 r--p 00353000 03:02 473297 /usr/lib/locale/locale-archive
40025000-40028000 r--s 00000000 03:02 1551240 /usr/java/j2sdk1.4.2_05/jre/lib/ext/dnsns.jar
40028000-40032000 r-xp 00000000 03:02 489628 /lib/tls/
40032000-40033000 rw-p 0000a000 03:02 489628 /lib/tls/
40035000-40037000 r-xp 00000000 03:02 1354591 /lib/
40037000-40038000 rw-p 00002000 03:02 1354591 /lib/
40039000-40435000 r-xp 00000000 03:02 2203749 /usr/java/j2sdk1.4.2_05/jre/lib/i386/client/libjvm.
40435000-40450000 rw-p 003fb000 03:02 2203749 /usr/java/j2sdk1.4.2_05/jre/lib/i386/client/libjvm.
40462000-40474000 r-xp 00000000 03:02 1354595 /lib/
40474000-40475000 rw-p 00011000 03:02 1354595 /lib/
40477000-40498000 r-xp 00000000 03:02 489626 /lib/tls/
40498000-40499000 rw-p 00020000 03:02 489626 /lib/tls/
40499000-404aa000 r--s 00000000 03:02 767904 /usr/java/j2sdk1.4.2_05/jre/lib/jce.jar

Kindly help me to resolve this issue.
Old 03-29-2005, 02:08 PM   #2
Registered: Jul 2003
Location: Santiago, Chile
Distribution: Gentoo
Posts: 282

Rep: Reputation: 30
Hello There:
Have you tried using the GTK version, I downloaded that version unpacked and it works great, I have blackdown java and sun java packages installed, but I am runnign gentoo which makes that a bit easier, try to run the gtk version and see what happens
Good Luck
Old 03-30-2005, 02:07 AM   #3
LQ Newbie
Registered: Mar 2005
Posts: 4

Original Poster
Rep: Reputation: 0
Hi , The GTK Version works fine but i specifically wanted to Install the Motif version since i had the same problem with another application i was trying to install which was also built on Motif.
I was able to solve the problem by using OpenMotif2.1.30 and Mozilla 1.4 or higher. Eclipse SWT requires Mozilla 1.4 or higher ..So that soved my problem
Old 03-30-2005, 08:13 AM   #4
Registered: Jul 2003
Location: Santiago, Chile
Distribution: Gentoo
Posts: 282

Rep: Reputation: 30
Hey, very nice that you got it working, and if I try to install the MOTIF version I'll keep in mind the dependencies you mentioned. I think Eclipse is a very good software for java programming.


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem using eclipse on Linux via XWindow s.y.crompton Linux - General 0 04-21-2005 11:14 AM
Installing Eclipse henryg Yoper 4 12-07-2004 06:53 AM
Installing Eclipse On 10.1 via rpmdrake caladbolg Mandriva 1 12-01-2004 09:12 AM
Problem running Eclipse 3.0 on RedHat Linux 9.0 kasturiranganr Linux - Software 3 09-02-2004 04:14 PM
JAVA:problem in installing ECLIPSE SDk on LINUX nedian123 Programming 1 06-26-2004 10:37 PM

All times are GMT -5. The time now is 10:34 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration